Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
pawuta

Nhờ viết lisp thay các đối tượng chọn bằng 1 block khác

Các bài được khuyến nghị

pawuta    12

Nhờ viết lisp thay các đối tượng chọn bằng 1 block khác

Nhờ các bác viết giúp lisp như sau:

Ðánh tên lệnh: DBL enter/ chọn 1 block làm chuẩn/ enter/ chọn các đối tượng muốn chuyển/ enter

Tất cả các đối tượng muốn chuyển bị  xoá và thay vào dó là 1 block mình chọn làm chuẩn

Do bản vẽ phải thay nhiều như thế này, mong các bác giúp đỡ, cảm ơn nhiều!!!

Ðây là file đính kèm: http://www.cadviet.com/upfiles/4/136880_chuyenthanhblock_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Không hiểu ý của anh lắm   ???

Anh thử vào chức năng tìm kiếm của diễn đàn gõ vào ô tìm dao kiếm mấy chữ : ánh xạ block xem sao???

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Bạn thử cái này xem. Máy phải có cài express.

 

(defun c:dlb (/ blk d0 d1 ss)
  (setq blk (car (entsel "\nChon Block : "))
d0 (car (acet-ent-geomextents blk)))
  (prompt "\nChon doi tuong de thay bang block : ")
  (while (setq ss (ssget))
    (setq d1 (car (acet-geom-ss-extents ss nil)))    
    (command "copy" blk "" "non" d0 "non" d1 "erase" ss "")
  )
  (princ)
)
  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Hiện tại điểm chèn là trái dưới, của cả block lẫn nhóm đối tượng, không biết bạn test thế nào chứ tôi test không có bị lệch.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pawuta    12

nếu như block có dim, bên đối chọn không có dim thì lệch bạn ui

 

hình như chiều ngang của block là tính luôn phần dim nên bị lệch,

 

mình làm xong rồi vô block chỉnh sửa lại cũng được, Cảm ơn bạn nhiều nhé!

 

Mình đang làm ở q10. TP.HCM nếu bạn ở gần thì mời bạn Coffee!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

À thì ra là bạn chọn luôn dim, nói chung thì kích thước đường bao của block và của cả nhóm các đtg muốn thay nó phải bằng nhau thì nó sẽ không lệch.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kuarambo    0

 

Bạn thử cái này xem. Máy phải có cài express.

 

(defun c:dlb (/ blk d0 d1 ss)
  (setq blk (car (entsel "\nChon Block : "))
d0 (car (acet-ent-geomextents blk)))
  (prompt "\nChon doi tuong de thay bang block : ")
  (while (setq ss (ssget))
    (setq d1 (car (acet-geom-ss-extents ss nil)))    
    (command "copy" blk "" "non" d0 "non" d1 "erase" ss "")
  )
  (princ)
)

Cách này cũng được nhưng chưa làm chủ được điểm thay thế và chưa thay cùng lúc n hiều đối tượng được. Khắc phục được 2 lỗi đó là ok!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×